Subject: Re: bug#60966: 30.0.50; Emacs -nw on msys2 is not clearing the terminal

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jan 2023 15:16:46 +0200

> Date: Mon, 23 Jan 2023 22:45:15 +0000 (UTC)
> From: Ergus <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> Thanks, now I understand the problem... it is a bit weird, but OK.

Please tell what you understood and what you think is weird.  I'd like
to make sure there's no misunderstanding here.

> Today I also tried the nt/INSTALL.64 steps and somehow I got an issue about #include <ms-w32.h>: No
> such file or directory.
> 
> I repeated the steps in the guide carefully but I only get the same error after make.
> 
> ---------------------------------
> 
> In file included from ../src/config.h 3043
> 
> ../../source/lib/../src/conf_post.h:38:11: fatal error: ms-w32.h: No such file or directory
>    38 | # include <ms-w32.h>
>         |
> compilation terminated

Please show the full compilation command, it sounds like some compiler
switches might be missing.  You can request display of full commands
during the build if you say

   make V=1

The configure script arranges for MinGW builds to add the -I../nt/inc
option to the compilation command line, which is where the ms-w32.h
header lives.

> Any idea? I am using the mingw64 terminal to build as the guide says... so maybe there is anything wrong in
> my envirnment?

If the above doesn't help, tell me how you configured the build: which
configure command you used and in whether your build is in the source
directory or outside of it.  Also, if you previously did another build
in the same tree, you need to clean the tree ("make extraclean").